//
//  CLStaticTableViewController.m
//  CLStaticTableViewItem
//
//  Created by hezhijingwei on 16/6/30.
//  Copyright © 2016年 秦传龙. All rights reserved.
//

#import "CLStaticTableViewController.h"
#import "CLStaticDefineHeader.h"
#import "CLStaticItem.h"
#import "CLStaticTableViewCell.h"


@interface CLStaticTableViewController ()

@end

@implementation CLStaticTableViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    [self setUpUI];
}

- (void)setUpUI {
    
     self.tableView.backgroundColor = CLStaticColor(0.937);
    self.tableView.separatorStyle = UITableViewCellSeparatorStyleNone;
    
}

- (instancetype)init
{
    return [self initWithStyle:UITableViewStyleGrouped];
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {

    return self.groups.count;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {

    return [[self.groups[section] items] count];
}

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    return 55;
}

- (CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section {
    
    return 1;
}


- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    CLStaticTableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"CLStaticTableViewCell"];
    if (!cell) {
        cell = [[CLStaticTableViewCell alloc] initWithStyle:UITableViewCellStyleValue1 reuseIdentifier:@"CLStaticTableViewCell"];
    }
    
    
    cell.item = [self.groups[indexPath.section] items][indexPath.row];
    
    
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
    CLStaticItem *item = [self.groups[indexPath.section]items][indexPath.row];
    
    if (item.detailClass) {

        UIViewController *vc = [item.detailClass new];
        
        vc.title = item.title;
        [self.navigationController pushViewController:vc animated:YES];
    }    
}

- (NSMutableArray *)groups {
    
    if (nil == _groups) {
        _groups = [[NSMutableArray alloc] init];
    }
    return _groups;
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    
}

@end
